Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class Introspection

    java.lang.Object
      org.apache.catalina.util.Introspection

    public class Introspection

extends Object

Provides introspection utilities that either require knowledge of Tomcat internals or are solely used by Tomcat internals.

Constructor Summary
`Introspection()`

Method Summary
`static Field[]` | `getDeclaredFields(Class<?> clazz)` Obtain the declared fields for a class taking account of any security manager that may be configured.
`static Method[]` | `getDeclaredMethods(Class<?> clazz)` Obtain the declared methods for a class taking account of any security manager that may be configured.
`static String` | `getPropertyName(Method setter)` Extract the Java Bean property name from the setter name.
`static boolean` | `isValidSetter(Method method)` Determines if a method has a valid name and signature for a Java Bean setter.
`static Class<?>` | `loadClass(Container container, String className)` Attempt to load a class using the given Container's class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Introspection

    public Introspection()

Method Detail

### getPropertyName

    public static String getPropertyName(Method setter)

  Extract the Java Bean property name from the setter name. Note: This method assumes that the method name has already been checked for correctness.

### isValidSetter

    public static boolean isValidSetter(Method method)

  Determines if a method has a valid name and signature for a Java Bean setter.

  Parameters:
    `method` - The method to test
  Returns:
    `true` if the method does have a valid name and signature, else `false`

### getDeclaredFields

    public static Field[] getDeclaredFields(Class<?> clazz)

  Obtain the declared fields for a class taking account of any security manager that may be configured.

### getDeclaredMethods

    public static Method[] getDeclaredMethods(Class<?> clazz)

  Obtain the declared methods for a class taking account of any security manager that may be configured.

### loadClass

    public static Class<?> loadClass(Container container,
                                     String className)

  Attempt to load a class using the given Container's class loader. If the class cannot be loaded, a debug level log message will be written to the Container's log and null will be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.